QT       += core gui charts

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11
CONFIG -= app_bundle

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    main.cpp \
    mainwindow.cpp \
    Comuna.cpp \
    Pedestrian.cpp \
    Simulator.cpp \
    parameters.cpp \
    vacunatorio.cpp

HEADERS += \
    mainwindow.h \
    Comuna.h \
    Pedestrian.h \
    Simulator.h \
    parameters.h \
    vacunatorio.h

FORMS += \
    mainwindow.ui \
    parameters.ui

DISTFILES += \
    config.txt


# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
